Bug 759446 - libvirt: GIL crash from python libvirt_virEventUpdateHandleFunc
libvirt: GIL crash from python libvirt_virEventUpdateHandleFunc
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
abrt_hash:e52b89096a86b84bdd6e46f5c8d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-02 07:16 EST by Stanislav Graf
Modified: 2012-06-07 15:51 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 15:51:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (18.37 KB, text/plain)
2011-12-02 07:16 EST, Stanislav Graf
no flags Details
File: build_ids (7.77 KB, text/plain)
2011-12-02 07:16 EST, Stanislav Graf
no flags Details
File: maps (78.21 KB, text/plain)
2011-12-02 07:16 EST, Stanislav Graf
no flags Details
File: backtrace (48.44 KB, text/plain)
2011-12-02 07:16 EST, Stanislav Graf
no flags Details

  None (edit)
Description Stanislav Graf 2011-12-02 07:16:35 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        python /usr/share/virt-manager/virt-manager.py
crash_function: new_threadstate
executable:     /usr/bin/python
kernel:         3.1.2-1.fc16.x86_64
pid:            15142
pwd:            /home/sgraf
reason:         Process /usr/bin/python was killed by signal 11 (SIGSEGV)
time:           Fri 02 Dec 2011 12:58:01 PM CET
uid:            1000
username:       sgraf

backtrace:      Text file, 49601 bytes
build_ids:      Text file, 7954 bytes
dso_list:       Text file, 18815 bytes
maps:           Text file, 80091 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=3
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-B9FmMO/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=a1bb471aa8de92b543ee46c400000013-1322809267.659652-1037110734
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:CVSROOT=:gserver:cvs.devel.redhat.com:/cvs/dist
:GNOME_KEYRING_CONTROL=/tmp/keyring-B9FmMO
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=sgraf
:SSH_AUTH_SOCK=/tmp/keyring-B9FmMO/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1783,unix/unix:/tmp/.ICE-unix/1783
:USERNAME=sgraf
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/sgraf/bin:/home/sgraf/.local/bin:/home/sgraf/bin
:MAIL=/var/spool/mail/sgraf
:_=/usr/bin/gnome-session
:QT_IM_MODULE=xim
:PWD=/home/sgraf
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1776
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=1
:XDG_SEAT=seat0
:HOME=/home/sgraf
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=sgraf
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-YYJpDFJICC,guid=de9d5f313eb71ae2cc9d7555000000d0
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/sgraf
:XAUTHORITY=/var/run/gdm/auth-for-sgraf-cKhNlO/database

var_log_messages:
:Nov 29 08:38:44 localhost yum[15730]: Updated: python-slip-0.2.20-1.fc16.noarch
:Nov 29 08:38:51 localhost yum[15730]: Updated: python-slip-gtk-0.2.20-1.fc16.noarch
:Nov 29 08:38:52 localhost yum[15730]: Updated: python-slip-dbus-0.2.20-1.fc16.noarch
:Nov 30 10:42:09 localhost yum[2957]: Updated: libselinux-python-2.1.6-5.fc16.x86_64
:Dec  1 19:58:17 localhost yum[2901]: Installed: python-setuptools-0.6.24-1.fc16.noarch
:Dec  1 19:58:18 localhost yum[2901]: Installed: python-nose-1.1.2-1.fc16.noarch
:Dec  1 19:58:25 localhost yum[2901]: Installed: python-simplegeneric-0.7-2.fc15.noarch
:Dec  1 19:58:27 localhost yum[2901]: Installed: python-zmq-2.1.9-1.fc16.x86_64
:Dec  1 19:58:29 localhost yum[2901]: Installed: python-mglob-0.4-3.fc15.noarch
:Dec  1 19:58:32 localhost yum[2901]: Installed: python-dateutil-1.5-3.fc16.noarch
:Dec  1 19:58:35 localhost yum[2901]: Installed: python-matplotlib-1.0.1-12.fc16.x86_64
:Dec  1 19:58:39 localhost yum[2901]: Installed: ipython-0.11-3.fc16.noarch
:Dec  2 11:30:12 localhost kernel: [12748.597371] python[3661]: segfault at 24 ip 00000033c385991c sp 00007fff24e66000 error 4 in libgtk-x11-2.0.so.0.2400.8[33c3600000+46c000]
:Dec  2 11:30:18 localhost abrt[14861]: Saved core dump of pid 3661 (/usr/bin/python) to /var/spool/abrt/ccpp-2011-12-02-11:30:12-3661 (1784991744 bytes)
:Dec  2 12:58:00 localhost kernel: [18015.805977] python[18414]: segfault at 8 ip 00000033d98faa8a sp 00007f1fd92ed970 error 4 in libpython2.7.so.1.0[33d9800000+171000]
:Dec  2 12:58:06 localhost abrt[18415]: Saved core dump of pid 15142 (/usr/bin/python) to /var/spool/abrt/ccpp-2011-12-02-12:58:01-15142 (382136320 bytes)
Comment 1 Stanislav Graf 2011-12-02 07:16:42 EST
Created attachment 539602 [details]
File: dso_list
Comment 2 Stanislav Graf 2011-12-02 07:16:44 EST
Created attachment 539603 [details]
File: build_ids
Comment 3 Stanislav Graf 2011-12-02 07:16:47 EST
Created attachment 539604 [details]
File: maps
Comment 4 Stanislav Graf 2011-12-02 07:16:51 EST
Created attachment 539605 [details]
File: backtrace
Comment 5 abrt-bot 2012-03-20 11:41:39 EDT
Backtrace analysis found this bug to be similar to bug #796505 from component virt-manager. You might want to check that bug for additional information.

This comment is automatically generated.
Comment 6 Cole Robinson 2012-06-07 15:51:46 EDT
I think this is virt-manager thread issues which are tracked in other reports. Please reopen if you can consistently reproduce though

Note You need to log in before you can comment on or make changes to this bug.